E00Parser (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.e00
Class E00Parser

    java.lang.Object
      com.bbn.openmap.layer.e00.E00Parser

    public class E00Parser

extends java.lang.Object

A parser for an E00 file. Description of the Class parses an E00 file and provides as result an OMGraphicList containing up to 3 OMGraphicLists:

       - arcs : OMPoly read in ARC records
       - labs : BasicLocations read in LAB records
       - tx7  : OMPolys and BasicLocation read in TX7 records

PAl,LOG,SIN,PRJ,TOL records are ignored.
From IFO records (if available) :
- each arc gets an AppObject including the type and a value (generally an altitude)
- each lab gets an AppObject including the type, 2 values and the String to display if available - the type is used to decide the color, from the Color array. Color and String may be also extracted from PAT or AAT records.
This software is provided as it is. No warranty of any kind, and in particular I don't know at all if it meets e00 file specification. It works quite good on files from GIS data depot .

Author:
  paricaud

Field Summary
`protected java.awt.Paint[]` | `ArcColors`
`protected OMGraphicList` | `arcs`
`protected java.awt.Color` | `defaultcolor`
`static java.awt.Color[]` | `defaultColors`
`protected static com.bbn.openmap.layer.e00.E00Parser.E00Record` | `infoRecord`
`protected java.io.BufferedReader` | `isr`
`protected static com.bbn.openmap.layer.e00.E00Parser.E00Record` | `itemRecord`
`protected java.awt.Paint[]` | `LabColors`
`protected java.awt.Font` | `labFont`
`protected OMGraphic` | `LabMarker`
`protected OMGraphicList` | `labs`
`protected java.awt.Paint` | `LabTextColor`
`protected int` | `narc`
`protected int` | `npoint`
`protected java.lang.String` | `prefix`
`protected java.awt.Paint` | `SelectArcColor`
`protected java.awt.Paint` | `SelectLabColor`
`protected java.awt.Paint` | `SelectTX7Color`
`protected OMGraphicList` | `tx7`
`protected java.awt.Paint` | `tx7Color`
`protected java.awt.Font` | `tx7Font`
`protected int` | `unClosedCount`

Constructor Summary
`E00Parser(java.io.File f)` Constructor for the E00Parser object
`E00Parser(java.lang.String mdname)` Constructor for the E00Parser object

Method Summary
`OMGraphicList` | `getArcList()`
`OMGraphicList` | `getLabList()`
`OMGraphic` | `getLabMarker()` Gets the LabMarker attribute of the E00Parser object
`OMGraphicList` | `getOMGraphics()` Gets the result of the parse process
`OMGraphicList` | `getTx7List()`
`void` | `setFonts(java.awt.Font labFont, java.awt.Font tx7Font)` Sets the Fonts attribute of the E00Parser object
`void` | `setLabMarker(OMGraphic marker)` Sets the LabMarker attribute of the E00Parser object
`void` | `setPaints(java.awt.Paint[] ArcColors, java.awt.Paint[] LabColors, java.awt.Paint tx7Color, java.awt.Paint SelectTX7Color, java.awt.Paint SelectLabColor, java.awt.Paint SelectArcColor, java.awt.Paint LabTextColor)` Sets the Colors attribute of the E00Parser object
`void` | `setPrefix(java.lang.String S)` Sets the Prefix attribute of the E00Parser object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### labs

    protected OMGraphicList labs

### arcs

    protected OMGraphicList arcs

### tx7

    protected OMGraphicList tx7

### isr

    protected java.io.BufferedReader isr

### prefix

    protected java.lang.String prefix

### narc

    protected int narc

### npoint

    protected int npoint

### unClosedCount

    protected int unClosedCount

### ArcColors

    protected java.awt.Paint[] ArcColors

### LabColors

    protected java.awt.Paint[] LabColors

### tx7Color

    protected java.awt.Paint tx7Color

### SelectTX7Color

    protected java.awt.Paint SelectTX7Color

### SelectLabColor

    protected java.awt.Paint SelectLabColor

### SelectArcColor

    protected java.awt.Paint SelectArcColor

### LabTextColor

    protected java.awt.Paint LabTextColor

### labFont

    protected java.awt.Font labFont

### tx7Font

    protected java.awt.Font tx7Font

### LabMarker

    protected OMGraphic LabMarker

### defaultcolor

    protected java.awt.Color defaultcolor

### defaultColors

    public static final java.awt.Color[] defaultColors

### infoRecord

    protected static com.bbn.openmap.layer.e00.E00Parser.E00Record infoRecord

### itemRecord

    protected static com.bbn.openmap.layer.e00.E00Parser.E00Record itemRecord

Constructor Detail

### E00Parser

    public E00Parser(java.lang.String mdname)
              throws java.io.IOException

  Constructor for the E00Parser object

  Parameters:
    `mdname` - File Name to parse
  Throws:
    `java.io.IOException`
  Since:

### E00Parser

    public E00Parser(java.io.File f)
              throws java.io.IOException

  Constructor for the E00Parser object

  Parameters:
    `f` - File to parse
  Throws:
    `java.io.IOException`
  Since:

Method Detail

### setPrefix

    public void setPrefix(java.lang.String S)

  Sets the Prefix attribute of the E00Parser object

  Parameters:
    `S` - The new Prefix value
  Since:

### setPaints

    public void setPaints(java.awt.Paint[] ArcColors,
                          java.awt.Paint[] LabColors,
                          java.awt.Paint tx7Color,
                          java.awt.Paint SelectTX7Color,
                          java.awt.Paint SelectLabColor,
                          java.awt.Paint SelectArcColor,
                          java.awt.Paint LabTextColor)

  Sets the Colors attribute of the E00Parser object

  Parameters:
    `ArcColors` - Paint array for arcs
    `LabColors` - Paint array for labs marker
    `tx7Color` - Paint for tx7
    `SelectTX7Color` - Paint for tx7 when selected
    `SelectLabColor` - Paint for labs when selected (not working ?)
    `SelectArcColor` - Paint for arcs when selected
    `LabTextColor` - Paint for labs text . If null, text has same paint as marker
  Since:

### setFonts

    public void setFonts(java.awt.Font labFont,
                         java.awt.Font tx7Font)

  Sets the Fonts attribute of the E00Parser object

  Parameters:
    `labFont` - font for labs text
    `tx7Font` - font for tx7 text
  Since:

### setLabMarker

    public void setLabMarker(OMGraphic marker)

  Sets the LabMarker attribute of the E00Parser object

  Parameters:
    `marker` - The new LabMarker value
  Since:

### getOMGraphics

    public OMGraphicList getOMGraphics()
                                throws java.io.IOException

  Gets the result of the parse process

  Returns:
    The OMGraphics value
  Throws:
    `java.io.IOException`
  Since:

### getLabMarker

    public OMGraphic getLabMarker()

  Gets the LabMarker attribute of the E00Parser object

  Returns:
    The LabMarker value
  Since:

### getArcList

    public OMGraphicList getArcList()

  Returns:
    OMGraphicsList of arcs.

### getLabList

    public OMGraphicList getLabList()

  Returns:
    OMGraphicList of lab.

### getTx7List

    public OMGraphicList getTx7List()

  Returns:
    OMGraphicList of Tx7.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details